<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MFLTGlyphString</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MFLTGlyphString<br/>
<small>
[<a class="el" href="group__m17nFLT.html">FLT API</a>]</small>
</h1><!-- doxytag: class="MFLTGlyphString" -->
<p>グリフ列の情報のための型.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphString.html#a3f4914499360ee6085733370a7827993">glyph_size</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMFLTGlyph.html">MFLTGlyph</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphString.html#af019589ab90ca6672fb31b65b7077af9">glyphs</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphString.html#ae0c9b765a754d5e96927c3e74904da0f">allocated</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphString.html#a3ccc7a1cea756cdd43178fb6d8b663e3">used</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphString.html#a44af0364811e4bfbe5d571329a409898">r2l</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>グリフ列の情報のための型. </p>
<p>型 <a class="el" href="structMFLTGlyphString.html" title="グリフ列の情報のための型.">MFLTGlyphString</a> は、グリフ列の情報を格納するための構造体である。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="a3f4914499360ee6085733370a7827993"></a><!-- doxytag: member="MFLTGlyphString::glyph_size" ref="a3f4914499360ee6085733370a7827993" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphString.html#a3f4914499360ee6085733370a7827993">MFLTGlyphString::glyph_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>メンバー <a class="el" href="structMFLTGlyphString.html#af019589ab90ca6672fb31b65b7077af9">glyphs</a> の指す配列の要素が占める実バイト数。 この値は "sizeof (MFLTGlyph)" 以上でなければならない。 </p>

</div>
</div>
<a class="anchor" id="af019589ab90ca6672fb31b65b7077af9"></a><!-- doxytag: member="MFLTGlyphString::glyphs" ref="af019589ab90ca6672fb31b65b7077af9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMFLTGlyph.html">MFLTGlyph</a>* <a class="el" href="structMFLTGlyphString.html#af019589ab90ca6672fb31b65b7077af9">MFLTGlyphString::glyphs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの配列。 </p>

</div>
</div>
<a class="anchor" id="ae0c9b765a754d5e96927c3e74904da0f"></a><!-- doxytag: member="MFLTGlyphString::allocated" ref="ae0c9b765a754d5e96927c3e74904da0f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphString.html#ae0c9b765a754d5e96927c3e74904da0f">MFLTGlyphString::allocated</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="structMFLTGlyphString.html#af019589ab90ca6672fb31b65b7077af9">glyphs</a> 内に配置されている要素の数。 </p>

</div>
</div>
<a class="anchor" id="a3ccc7a1cea756cdd43178fb6d8b663e3"></a><!-- doxytag: member="MFLTGlyphString::used" ref="a3ccc7a1cea756cdd43178fb6d8b663e3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphString.html#a3ccc7a1cea756cdd43178fb6d8b663e3">MFLTGlyphString::used</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="structMFLTGlyphString.html#af019589ab90ca6672fb31b65b7077af9">glyphs</a> 内で使用中の要素の数。 </p>

</div>
</div>
<a class="anchor" id="a44af0364811e4bfbe5d571329a409898"></a><!-- doxytag: member="MFLTGlyphString::r2l" ref="a44af0364811e4bfbe5d571329a409898" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMFLTGlyphString.html#a44af0364811e4bfbe5d571329a409898">MFLTGlyphString::r2l</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフが右から左へと描かれるべきか否かを示すフラグ。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
